Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW LINX Raspberry Pi 3B connects but Install fails

Solved!
Go to solution

Below is the LINX log which shows it connects but fails to install. Perhaps, as it says, it is looking for an rPi 2B instead of my rPi 3B? Not sure what to do now. I'm using LabVIEW 2023 Q1 with "NI LabVIEW LINX Toolkit" version 1.0.0.9 installed via VIPM. I'm using Win11Pro on my main machine and the latest rPi OS with Desktop on the rPi 3B. I had three other LINX packages installed but uninstalled them but that did not help.

 

Your thoughts?

 

Successfully connected to target.
Checking target status...

Installation failed. If this is the first time the installation has failed try again. If this error persists search, then post on the LabVIEW MakerHub forumsat labviewmakerhub.com/forums/linx.
Target configuration updated.
OS Version: 11.6
CPU: BCM2835
Systemd Version:
Has Internet Access: True
Device Type: Raspberry Pi 2 B

0 Kudos
Message 1 of 3
(2,026 Views)
Solution
Accepted by ConsciousExplorer

With LabVIEW 2021 and later you should not install the Linx Toolkit but rather the Hobbyist Toolkit (and in the according version to your LabVIEW version).

 

https://www.ni.com/nl-nl/support/downloads/tools-network/download.labview-hobbyist-toolkit.html#4778...

 

Rolf Kalbermatter
My Blog
0 Kudos
Message 2 of 3
(1,990 Views)

Yay! Thanks! I now can blink an rPi 3B LED (pin 7 = GPIO4, and pin 9 = GND) with 

 

LabVIEW 2023\vi.lib\MakerHub\LINX\Private\Templates\Raspberry Pi 2 B\RPI2 Main.vi

 

That should get me started.

 

 

0 Kudos
Message 3 of 3
(1,960 Views)